## org.apache.catalina.connector
Class ClientAbortException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.catalina.connector.ClientAbortException

All Implemented Interfaces:
  java.io.Serializable

public final class ClientAbortException
extends java.io.IOException

Wrap an IOException identifying it as being caused by an abort of a request by a remote client.

Version:
  $Revision: 1.2 $ $Date: 2004/08/26 21:30:19 $
Author:
  Glenn L. Nielsen
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `message` The error message passed to our constructor (if any)
`protected java.lang.Throwable` `throwable` The underlying exception or error passed to our constructor (if any)

Constructor Summary
`ClientAbortException()` Construct a new ClientAbortException with no other information.
`ClientAbortException(java.lang.String message)` Construct a new ClientAbortException for the specified message.
`ClientAbortException(java.lang.String message, java.lang.Throwable throwable)` Construct a new ClientAbortException for the specified message and throwable.
`ClientAbortException(java.lang.Throwable throwable)` Construct a new ClientAbortException for the specified throwable.

Method Summary
`java.lang.String` `getMessage()` Returns the message associated with this exception, if any.
`java.lang.Throwable` `getThrowable()` Returns the throwable that caused this exception, if any.
`java.lang.String` `toString()` Return a formatted string that describes this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### message

    protected java.lang.String message

  The error message passed to our constructor (if any)

### throwable

    protected java.lang.Throwable throwable

  The underlying exception or error passed to our constructor (if any)

Constructor Detail

### ClientAbortException

    public ClientAbortException()

  Construct a new ClientAbortException with no other information.

### ClientAbortException

    public ClientAbortException(java.lang.String message)

  Construct a new ClientAbortException for the specified message.

Parameters:
  `message` - Message describing this exception

### ClientAbortException

    public ClientAbortException(java.lang.Throwable throwable)

  Construct a new ClientAbortException for the specified throwable.

Parameters:
  `throwable` - Throwable that caused this exception

### ClientAbortException

    public ClientAbortException(java.lang.String message,
                                java.lang.Throwable throwable)

  Construct a new ClientAbortException for the specified message and throwable.

Parameters:
  `message` - Message describing this exception
  `throwable` - Throwable that caused this exception

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the message associated with this exception, if any.

### getThrowable

    public java.lang.Throwable getThrowable()

  Returns the throwable that caused this exception, if any.

### toString

    public java.lang.String toString()

  Return a formatted string that describes this exception.

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.